Package com.gpudb.protocol
Class FilterByListRequest.Options
java.lang.Object
com.gpudb.protocol.FilterByListRequest.Options
Enclosing class:
A set of string constants for the
FilterByListRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final String[DEPRECATED—please specify the containing schema for the view as part ofviewNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema for the newly created view.static final Stringstatic final Stringstatic final StringString indicating the filter mode, either ‘in_list’ or ‘not_in_list’.static final StringThe filter will match all items that are in the provided list(s).static final StringThe filter will match all items that are not in the provided list(s).static final String
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofviewName. This is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_VIEW_NAME. Supported values:The default value isFALSE.See Also:COLLECTION_NAME
[DEPRECATED—please specify the containing schema for the view as part ofviewNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema for the newly created view. If the schema provided is non-existent, it will be automatically created.See Also:FILTER_MODE
String indicating the filter mode, either ‘in_list’ or ‘not_in_list’. Supported values:IN_LIST: The filter will match all items that are in the provided list(s).NOT_IN_LIST: The filter will match all items that are not in the provided list(s).
IN_LIST.See Also: